variable "email_address" {
  default     = ""
  type        = string
  description = "Email address for alerts"
}

variable "monitored_domain" {
  type        = string
  description = "domain component of url to be monitored"
}

variable "polling_path" {
  type        = string
  default     = "/"
  description = "path component of url to be monitored"
}

variable "project" {
  type        = string
  description = "project for all resources"
}

variable "uptime_timeout" {
  type        = string
  default     = "30s"
  description = "timeout for http polling"
}

variable "uptime_period" {
  type        = string
  default     = "300s"
  description = "Frequency of uptime checks"
}

variable "enabled" {
  type        = bool
  default     = true
  description = "Whether the alerting policy is enabled"
}
